package com.jojubanking.boot.module.system.convert.item;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.item.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.item.ItemDO;

/**
 * 检查项目 Convert
 *
 * @author admin
 */
@Mapper
public interface ItemConvert {

    ItemConvert INSTANCE = Mappers.getMapper(ItemConvert.class);

    ItemDO convert(ItemCreateReqVO bean);

    ItemDO convert(ItemUpdateReqVO bean);

    ItemRespVO convert(ItemDO bean);

    List<ItemRespVO> convertList(List<ItemDO> list);

    PageResult<ItemRespVO> convertPage(PageResult<ItemDO> page);

    List<ItemExcelVO> convertList02(List<ItemDO> list);

}
